## gate.gui
Class MainFrame.CartoonMinder

    java.lang.Object
      |
      +--gate.gui.MainFrame.CartoonMinder

All Implemented Interfaces:
  Runnable

Enclosing class:
  MainFrame

class MainFrame.CartoonMinder
extends Object
implements Runnable

During longer operations it is nice to keep the user entertained so (s)he doesn't fall asleep looking at a progress bar that seems have stopped. Also there are some operations that do not support progress reporting so the progress bar would not work at all so we need a way to let the user know that things are happening. We chose for purpose to show the user a small cartoon in the form of an animated gif. This class handles the diplaying and updating of those cartoons.

Field Summary
`(package private) boolean` `active`
`(package private) boolean` `dying`
`(package private) JLabel` `imageLabel`
`(package private) String` `lock`
`(package private) JPanel` `targetPanel`

Constructor Summary
`(package private)` `MainFrame.CartoonMinder(JPanel targetPanel)`

Method Summary
`void` `activate()`
`void` `deactivate()`
`void` `dispose()`
`boolean` `isActive()`
`void` `run()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### dying

    boolean dying

### active

    boolean active

### lock

    String lock

### targetPanel

    JPanel targetPanel

### imageLabel

    JLabel imageLabel

Constructor Detail

### MainFrame.CartoonMinder

    MainFrame.CartoonMinder(JPanel targetPanel)

Method Detail

### isActive

    public boolean isActive()

### activate

    public void activate()

### deactivate

    public void deactivate()

### dispose

    public void dispose()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`